# Contributing to Django Workload
We want to make contributing to this project as easy and transparent as
possible.

## Our Development Process
Django Workload is maintained and developed on [GitHub][1]. Send us your pull
requests, and we'd be happy to provide feedback and merge as appropriate.

## Pull Requests
We actively welcome your pull requests.

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. If you haven't already, complete the Contributor License Agreement ("CLA").

## Contributor License Agreement ("CLA")
In order to accept your pull request, we need you to submit a CLA. You only need
to do this once to work on any of Facebook's open source projects.

Complete your CLA here: <https://code.facebook.com/cla>

## Issues
We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

Facebook has a [bounty program](https://www.facebook.com/whitehat/) for the safe
disclosure of security bugs. In those cases, please go through the process
outlined on that page and do not file a public issue.

## Coding Style
Please lint the code with PEP8 (use flake8 to automate this). We encourage the
use of the [flake8-bugbear plugin][2].

## License
By contributing to Django Workload, you agree that your contributions will be
licensed under the [LICENSE](/LICENSE) file in the root directory of this source tree.

[1]: https://github.com/Instagram/django-workload
[2]: https://github.com/PyCQA/flake8-bugbear

